[arch-commits] CVS update of extra/gnome/gnomeicu (PKGBUILD gnomeicu.install)

Jan de Groot jgc at archlinux.org
Sun Apr 22 13:43:49 EDT 2007


    Date: Sunday, April 22, 2007 @ 13:43:49
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/gnomeicu

Modified: PKGBUILD (1.11 -> 1.12) gnomeicu.install (1.3 -> 1.4)

upgpkg: gnomeicu 0.99.12-2
Move to /usr


------------------+
 PKGBUILD         |   25 ++++++++++++++++---------
 gnomeicu.install |   45 ++++++++++++++-------------------------------
 2 files changed, 30 insertions(+), 40 deletions(-)


Index: extra/gnome/gnomeicu/PKGBUILD
diff -u extra/gnome/gnomeicu/PKGBUILD:1.11 extra/gnome/gnomeicu/PKGBUILD:1.12
--- extra/gnome/gnomeicu/PKGBUILD:1.11	Tue Dec 26 07:12:40 2006
+++ extra/gnome/gnomeicu/PKGBUILD	Sun Apr 22 13:43:49 2007
@@ -1,24 +1,31 @@
-# $Id: PKGBUILD,v 1.11 2006/12/26 12:12:40 arjan Exp $
-# Maintainer: Arjan Timmerman <arjan at archlinux.org>
+# $Id: PKGBUILD,v 1.12 2007/04/22 17:43:49 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnomeicu
 pkgver=0.99.12
-pkgrel=1
+pkgrel=2
 pkgdesc="A GNOME2 ICQ client."
 arch=(i686 x86_64)
-depends=('libgnomeui>=2.16.0'  'gnome-keyring' 'libbonoboui' 'libxss')
+license=('GPL')
+depends=('libgnomeui>=2.18.1-2' 'libxss' 'scrollkeeper')
+makedepends=('pkgconfig')
 url="http://gnomeicu.sourceforge.net/"
 install=gnomeicu.install
-source=(http://dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2)
+source=(http://dl.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('91d534e19a9f9e408f1f97b3b0748d20')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
+  cd ${startdir}/src/${pkgname}-${pkgver}
   if [ -f omf.make ]; then
+    find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
     sed -i -e 's/-scrollkeeper-update.*//' omf.make
   fi
-  ./configure --prefix=/opt/gnome 
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=$startdir/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }
Index: extra/gnome/gnomeicu/gnomeicu.install
diff -u extra/gnome/gnomeicu/gnomeicu.install:1.3 extra/gnome/gnomeicu/gnomeicu.install:1.4
--- extra/gnome/gnomeicu/gnomeicu.install:1.3	Thu May 19 08:11:41 2005
+++ extra/gnome/gnomeicu/gnomeicu.install	Sun Apr 22 13:43:49 2007
@@ -1,21 +1,9 @@
 pkgname=gnomeicu
 
 post_install() {
-  schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
-  scrolls=(`pacman -Ql $pkgname | grep 'share/omf/.*\.omf$' | awk '{ print $2 }'`)
-
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  for schema in "${schemas[@]}" ; do
-    opt/gnome/bin/gconftool-2 --makefile-install-rule "$schema" >/dev/null 2>&1
-  done
-
-  for scroll in "${scrolls[@]}" ; do
-    scrollkeeper-install -q -p var/lib/scrollkeeper "$scroll"
-  done
-
-  kill -s HUP `pidof /opt/gnome/bin/gconfd-2` > /dev/null 2>&1
-  update-desktop-database -q
-  update-mime-database opt/gnome/share/mime > /dev/null 2>&1
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  scrollkeeper-update -p -q var/lib/scrollkeeper
 }
 
 pre_upgrade() {
@@ -27,26 +15,21 @@
 }
 
 pre_remove() {
-  schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
-  scrolls=(`pacman -Ql $pkgname | grep 'share/omf/.*\.omf$' | awk '{ print $2 }'`)
-
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  for schema in "${schemas[@]}" ; do
-    opt/gnome/bin/gconftool-2 --makefile-uninstall-rule "$schema" >/dev/null 2>&1
-  done
-
-  for scroll in "${scrolls[@]}" ; do
-    scrollkeeper-uninstall -q -p var/lib/scrollkeeper "$scroll"
-  done
-
-  kill -s HUP `pidof /opt/gnome/bin/gconfd-2` >/dev/null 2>&1
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
+  else
+    schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
+  fi
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 post_remove() {
-  update-desktop-database -q
-  update-mime-database opt/gnome/share/mime > /dev/null 2>&1
+  scrollkeeper-update -p -q var/lib/scrollkeeper
 }
-
 op=$1
 shift
 




More information about the arch-commits mailing list